%global momorel 7

Summary: A tool for providing tomoe support to uim
Name: uim-tomoe-gtk
Version: 0.2.0
Release: %{momorel}m
License: LGPL
URL: https://sourceforge.jp/projects/tomoe/
Group: User Interface/X
%NoSource 0 http://downloads.sourceforge.jp/tomoe/17172/%{name}-%{version}.tar.gz e52817378766286d69b78fe58b37e45e
Patch0: uim-tomoe-gtk-0.2.0-no-e.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: uim, tomoe, libtomoe-gtk
BuildPreReq: gtk+-devel >= 2.4.0
BuildPreReq: uim-devel >= 1.2.0
BuildPreReq: libtomoe-gtk-devel
BuildPreReq: autoconf

%description
A tool for providing tomoe support to uim.

%prep
%setup -q
%patch0 -p1

%build
autoconf
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/uim-tomoe-gtk
%{_datadir}/locale/*/LC_MESSAGES/uim-tomoe-gtk.mo

%changelog
* Sat Aug  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-7m)
- rebuild against uim-1.2.0

* Sat Jul  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-6m)
- remove desktop file (uim-tomoe-gtk was merged to uim-toolbar, it's smart)

* Sat Jun 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-5m)
- rebuild against uim-1.1.0

* Fri Jan 13 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.0-4m)
- apply 'uim-tomoe-gtk-0.2.0-no-e.patch' to avoid dependency with enlightenment

* Fri Dec  2 2005 Masaru SANUKI <sanuki@mmonga-linux.org>
- (0.2.0-3m)
- update uim-tomoe-gtk.desktop

* Sun Nov  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-2m)
- update uim-tomoe-gtk.desktop

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- version 0.2.0
- update uim-tomoe-gtk.desktop

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import %%description from cooker
